# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.64"
name = "ibc-core-commitment-types"
version = "0.50.0"
authors = ["Informal Systems <hello@informal.systems>"]
description = """
    Maintained by `ibc-rs`, encapsulates essential ICS-23 Vector Commitments data structures and domain types,
    as specified in the Inter-Blockchain Communication (IBC) protocol. Designed for universal applicability
    to facilitate development and integration across diverse IBC-enabled projects.
"""
readme = "README.md"
keywords = [
    "blockchain",
    "cosmos",
    "ibc",
    "commitment",
    "types",
]
license = "Apache-2.0"
repository = "https://github.com/cosmos/ibc-rs"

[package.metadata.docs.rs]
all-features = true

[dependencies.borsh]
version = "0.10"
optional = true
default-features = false

[dependencies.derive_more]
version = "0.99.17"
features = [
    "from",
    "into",
    "display",
    "try_into",
    "as_ref",
]
default-features = false

[dependencies.displaydoc]
version = "0.2"
default-features = false

[dependencies.ibc-primitives]
version = "0.50.0"
default-features = false

[dependencies.ibc-proto]
version = "0.41.0"
default-features = false

[dependencies.ics23]
version = "0.11"
features = ["host-functions"]
default-features = false

[dependencies.parity-scale-codec]
version = "3.6.5"
features = ["full"]
optional = true
default-features = false

[dependencies.scale-info]
version = "2.10.0"
features = ["derive"]
optional = true
default-features = false

[dependencies.schemars]
version = "0.8.15"
optional = true

[dependencies.serde]
version = "1.0"
optional = true
default-features = false

[dependencies.subtle-encoding]
version = "0.5"
default-features = false

[features]
borsh = [
    "dep:borsh",
    "ibc-proto/borsh",
    "ibc-primitives/borsh",
]
default = ["std"]
parity-scale-codec = [
    "dep:parity-scale-codec",
    "dep:scale-info",
    "ibc-primitives/parity-scale-codec",
    "ibc-proto/parity-scale-codec",
]
schema = [
    "dep:schemars",
    "ibc-proto/json-schema",
    "ibc-primitives/schema",
    "serde",
    "std",
]
serde = [
    "dep:serde",
    "ibc-primitives/serde",
    "ibc-proto/serde",
    "ics23/serde",
]
std = [
    "displaydoc/std",
    "serde/std",
    "subtle-encoding/std",
    "ibc-primitives/std",
    "ibc-proto/std",
    "ics23/std",
]
